import { ATN, CharStream, DFA, Lexer } from "antlr4";
export default class CypherCmdLexer extends Lexer {
    static readonly PARAM = 1;
    static readonly CLEAR = 2;
    static readonly HISTORY = 3;
    static readonly EXPLAIN = 4;
    static readonly PROFILE = 5;
    static readonly SPACE = 6;
    static readonly SINGLE_LINE_COMMENT = 7;
    static readonly MULTI_LINE_COMMENT = 8;
    static readonly DECIMAL_DOUBLE = 9;
    static readonly UNSIGNED_DECIMAL_INTEGER = 10;
    static readonly UNSIGNED_HEX_INTEGER = 11;
    static readonly UNSIGNED_OCTAL_INTEGER = 12;
    static readonly STRING_LITERAL1 = 13;
    static readonly STRING_LITERAL2 = 14;
    static readonly ESCAPED_SYMBOLIC_NAME = 15;
    static readonly ACCESS = 16;
    static readonly ACTIVE = 17;
    static readonly ADMIN = 18;
    static readonly ADMINISTRATOR = 19;
    static readonly ALIAS = 20;
    static readonly ALIASES = 21;
    static readonly ALL_SHORTEST_PATHS = 22;
    static readonly ALL = 23;
    static readonly ALTER = 24;
    static readonly AND = 25;
    static readonly ANY = 26;
    static readonly ARRAY = 27;
    static readonly AS = 28;
    static readonly ASC = 29;
    static readonly ASCENDING = 30;
    static readonly ASSERT = 31;
    static readonly ASSIGN = 32;
    static readonly AT = 33;
    static readonly AUTH = 34;
    static readonly BAR = 35;
    static readonly BINDINGS = 36;
    static readonly BOOL = 37;
    static readonly BOOLEAN = 38;
    static readonly BOOSTED = 39;
    static readonly BOTH = 40;
    static readonly BREAK = 41;
    static readonly BRIEF = 42;
    static readonly BTREE = 43;
    static readonly BUILT = 44;
    static readonly BY = 45;
    static readonly CALL = 46;
    static readonly CASE = 47;
    static readonly CHANGE = 48;
    static readonly CIDR = 49;
    static readonly COLLECT = 50;
    static readonly COLON = 51;
    static readonly COLONCOLON = 52;
    static readonly COMMA = 53;
    static readonly COMMAND = 54;
    static readonly COMMANDS = 55;
    static readonly COMMIT = 56;
    static readonly COMPOSITE = 57;
    static readonly CONCURRENT = 58;
    static readonly CONSTRAINT = 59;
    static readonly CONSTRAINTS = 60;
    static readonly CONTAINS = 61;
    static readonly COPY = 62;
    static readonly CONTINUE = 63;
    static readonly COUNT = 64;
    static readonly CREATE = 65;
    static readonly CSV = 66;
    static readonly CURRENT = 67;
    static readonly DATA = 68;
    static readonly DATABASE = 69;
    static readonly DATABASES = 70;
    static readonly DATE = 71;
    static readonly DATETIME = 72;
    static readonly DBMS = 73;
    static readonly DEALLOCATE = 74;
    static readonly DEFAULT = 75;
    static readonly DEFINED = 76;
    static readonly DELETE = 77;
    static readonly DENY = 78;
    static readonly DESC = 79;
    static readonly DESCENDING = 80;
    static readonly DESTROY = 81;
    static readonly DETACH = 82;
    static readonly DIFFERENT = 83;
    static readonly DOLLAR = 84;
    static readonly DISTINCT = 85;
    static readonly DIVIDE = 86;
    static readonly DOT = 87;
    static readonly DOTDOT = 88;
    static readonly DOUBLEBAR = 89;
    static readonly DRIVER = 90;
    static readonly DROP = 91;
    static readonly DRYRUN = 92;
    static readonly DUMP = 93;
    static readonly DURATION = 94;
    static readonly EACH = 95;
    static readonly EDGE = 96;
    static readonly ENABLE = 97;
    static readonly ELEMENT = 98;
    static readonly ELEMENTS = 99;
    static readonly ELSE = 100;
    static readonly ENCRYPTED = 101;
    static readonly END = 102;
    static readonly ENDS = 103;
    static readonly EQ = 104;
    static readonly EXECUTABLE = 105;
    static readonly EXECUTE = 106;
    static readonly EXIST = 107;
    static readonly EXISTENCE = 108;
    static readonly EXISTS = 109;
    static readonly ERROR = 110;
    static readonly FAIL = 111;
    static readonly FALSE = 112;
    static readonly FIELDTERMINATOR = 113;
    static readonly FINISH = 114;
    static readonly FLOAT = 115;
    static readonly FOR = 116;
    static readonly FOREACH = 117;
    static readonly FROM = 118;
    static readonly FULLTEXT = 119;
    static readonly FUNCTION = 120;
    static readonly FUNCTIONS = 121;
    static readonly GE = 122;
    static readonly GRANT = 123;
    static readonly GRAPH = 124;
    static readonly GRAPHS = 125;
    static readonly GROUP = 126;
    static readonly GROUPS = 127;
    static readonly GT = 128;
    static readonly HEADERS = 129;
    static readonly HOME = 130;
    static readonly ID = 131;
    static readonly IF = 132;
    static readonly IMPERSONATE = 133;
    static readonly IMMUTABLE = 134;
    static readonly IN = 135;
    static readonly INDEX = 136;
    static readonly INDEXES = 137;
    static readonly INF = 138;
    static readonly INFINITY = 139;
    static readonly INSERT = 140;
    static readonly INT = 141;
    static readonly INTEGER = 142;
    static readonly IS = 143;
    static readonly JOIN = 144;
    static readonly KEY = 145;
    static readonly LABEL = 146;
    static readonly LABELS = 147;
    static readonly AMPERSAND = 148;
    static readonly EXCLAMATION_MARK = 149;
    static readonly LBRACKET = 150;
    static readonly LCURLY = 151;
    static readonly LE = 152;
    static readonly LEADING = 153;
    static readonly LIMITROWS = 154;
    static readonly LIST = 155;
    static readonly LOAD = 156;
    static readonly LOCAL = 157;
    static readonly LOOKUP = 158;
    static readonly LPAREN = 159;
    static readonly LT = 160;
    static readonly MANAGEMENT = 161;
    static readonly MAP = 162;
    static readonly MATCH = 163;
    static readonly MERGE = 164;
    static readonly MINUS = 165;
    static readonly PERCENT = 166;
    static readonly INVALID_NEQ = 167;
    static readonly NEQ = 168;
    static readonly NAME = 169;
    static readonly NAMES = 170;
    static readonly NAN = 171;
    static readonly NFC = 172;
    static readonly NFD = 173;
    static readonly NFKC = 174;
    static readonly NFKD = 175;
    static readonly NEW = 176;
    static readonly NODE = 177;
    static readonly NODETACH = 178;
    static readonly NODES = 179;
    static readonly NONE = 180;
    static readonly NORMALIZE = 181;
    static readonly NORMALIZED = 182;
    static readonly NOT = 183;
    static readonly NOTHING = 184;
    static readonly NOWAIT = 185;
    static readonly NULL = 186;
    static readonly OF = 187;
    static readonly ON = 188;
    static readonly ONLY = 189;
    static readonly OPTIONAL = 190;
    static readonly OPTIONS = 191;
    static readonly OPTION = 192;
    static readonly OR = 193;
    static readonly ORDER = 194;
    static readonly OUTPUT = 195;
    static readonly PASSWORD = 196;
    static readonly PASSWORDS = 197;
    static readonly PATH = 198;
    static readonly PATHS = 199;
    static readonly PERIODIC = 200;
    static readonly PLAINTEXT = 201;
    static readonly PLUS = 202;
    static readonly PLUSEQUAL = 203;
    static readonly POINT = 204;
    static readonly POPULATED = 205;
    static readonly POW = 206;
    static readonly PRIMARY = 207;
    static readonly PRIMARIES = 208;
    static readonly PRIVILEGE = 209;
    static readonly PRIVILEGES = 210;
    static readonly PROCEDURE = 211;
    static readonly PROCEDURES = 212;
    static readonly PROPERTIES = 213;
    static readonly PROPERTY = 214;
    static readonly PROVIDER = 215;
    static readonly PROVIDERS = 216;
    static readonly QUESTION = 217;
    static readonly RANGE = 218;
    static readonly RBRACKET = 219;
    static readonly RCURLY = 220;
    static readonly READ = 221;
    static readonly REALLOCATE = 222;
    static readonly REDUCE = 223;
    static readonly RENAME = 224;
    static readonly REGEQ = 225;
    static readonly REL = 226;
    static readonly RELATIONSHIP = 227;
    static readonly RELATIONSHIPS = 228;
    static readonly REMOVE = 229;
    static readonly REPEATABLE = 230;
    static readonly REPLACE = 231;
    static readonly REPORT = 232;
    static readonly REQUIRE = 233;
    static readonly REQUIRED = 234;
    static readonly RETURN = 235;
    static readonly REVOKE = 236;
    static readonly ROLE = 237;
    static readonly ROLES = 238;
    static readonly ROW = 239;
    static readonly ROWS = 240;
    static readonly RPAREN = 241;
    static readonly SCAN = 242;
    static readonly SEC = 243;
    static readonly SECOND = 244;
    static readonly SECONDARY = 245;
    static readonly SECONDARIES = 246;
    static readonly SECONDS = 247;
    static readonly SEEK = 248;
    static readonly SEMICOLON = 249;
    static readonly SERVER = 250;
    static readonly SERVERS = 251;
    static readonly SET = 252;
    static readonly SETTING = 253;
    static readonly SETTINGS = 254;
    static readonly SHORTEST_PATH = 255;
    static readonly SHORTEST = 256;
    static readonly SHOW = 257;
    static readonly SIGNED = 258;
    static readonly SINGLE = 259;
    static readonly SKIPROWS = 260;
    static readonly START = 261;
    static readonly STARTS = 262;
    static readonly STATUS = 263;
    static readonly STOP = 264;
    static readonly STRING = 265;
    static readonly SUPPORTED = 266;
    static readonly SUSPENDED = 267;
    static readonly TARGET = 268;
    static readonly TERMINATE = 269;
    static readonly TEXT = 270;
    static readonly THEN = 271;
    static readonly TIME = 272;
    static readonly TIMES = 273;
    static readonly TIMESTAMP = 274;
    static readonly TIMEZONE = 275;
    static readonly TO = 276;
    static readonly TOPOLOGY = 277;
    static readonly TRAILING = 278;
    static readonly TRANSACTION = 279;
    static readonly TRANSACTIONS = 280;
    static readonly TRAVERSE = 281;
    static readonly TRIM = 282;
    static readonly TRUE = 283;
    static readonly TYPE = 284;
    static readonly TYPED = 285;
    static readonly TYPES = 286;
    static readonly UNION = 287;
    static readonly UNIQUE = 288;
    static readonly UNIQUENESS = 289;
    static readonly UNWIND = 290;
    static readonly URL = 291;
    static readonly USE = 292;
    static readonly USER = 293;
    static readonly USERS = 294;
    static readonly USING = 295;
    static readonly VALUE = 296;
    static readonly VARCHAR = 297;
    static readonly VECTOR = 298;
    static readonly VERBOSE = 299;
    static readonly VERTEX = 300;
    static readonly WAIT = 301;
    static readonly WHEN = 302;
    static readonly WHERE = 303;
    static readonly WITH = 304;
    static readonly WITHOUT = 305;
    static readonly WRITE = 306;
    static readonly XOR = 307;
    static readonly YIELD = 308;
    static readonly ZONED = 309;
    static readonly IDENTIFIER = 310;
    static readonly ARROW_LINE = 311;
    static readonly ARROW_LEFT_HEAD = 312;
    static readonly ARROW_RIGHT_HEAD = 313;
    static readonly ErrorChar = 314;
    static readonly EOF: number;
    static readonly channelNames: string[];
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly modeNames: string[];
    static readonly ruleNames: string[];
    constructor(input: CharStream);
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    get channelNames(): string[];
    get modeNames(): string[];
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
